Ticket #47823

AI: domestic_advisor_choose_build() magic want limit

Open Date: 2023-04-10 01:16 Last Update: 2023-06-08 08:23

Reporter:
Owner:
Type:
Status:
Closed
Component:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
2

Details

domestic_advisor_choose_build() uses magic numbers 200 and 199. That breaks on S3_1+ where military emergency is not 100.

Ticket History (3/6 Histories)

2023-04-10 01:16 Updated by: cazfi
  • New Ticket "AI: domestic_advisor_choose_build() magic want limit" created
2023-04-27 13:27 Updated by: cazfi
Comment

This is a bit more complicated than wrong values. It's WAG (Wild-Ass Guess) that we need to replace with other kind of WAG -> leaving to after 3.1.0-beta2 to have more testing time.

2023-06-02 07:48 Updated by: cazfi
  • Owner Update from (None) to cazfi
  • Resolution Update from None to Accepted
2023-06-08 08:23 Updated by: cazfi
  • Status Update from Open to Closed
  • Resolution Update from Accepted to Fixed

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login